class WikiPage < ApplicationRecord
  belongs_to :tag, optional: true
  belongs_to :created_user, class_name: 'User', foreign_key: 'created_user_id'
  belongs_to :updated_user, class_name: 'User', foreign_key: 'updated_user_id'

  validates :title, presence: true, length: { maximum: 255 }, uniqueness: true

  def gollum_path
    "wiki/#{ title.parameterize }.md"
  end
end
